/*************************************************************************
 * compatibility functions
 */

#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,9))
/**
 * kcalloc - allocate memory for an array. The memory is set to zero.
 * @n: number of elements.
 * @size: element size.
 * @flags: the type of memory to allocate.
 */
static void *kcalloc(size_t n, size_t size, int flags)
{
	void *ret = NULL;

	if (n != 0 && size > INT_MAX / n)
		return ret;

	ret = kmalloc(n * size, flags);
	if (ret)
		memset(ret, 0, n * size);
	return ret;
}
#else
# include <linux/slab.h>
#endif
